<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class DeadlineTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('deadline')
            ->label('مهلت')
            ->sortable()
            ->jalaliDateTime()
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
